{% extends '@!EasyAdmin/layout.html.twig' %}

{% block content_title %}{% trans %}Dashboard{% endtrans %}{% endblock %}

{% block head_javascript %}
    {{ parent() }}
    {{ vite_entry_script_tags('admin') }}
    {{ vite_entry_link_tags('admin') }}
{% endblock %}

{% block main %}
    <div class="mb-4">
    {% if deployment_disabled %}
    <div class="alert alert-warning" role="alert">
        <h5 class="alert-heading">⚠️ {% trans %}Deployment is currently disabled{% endtrans %}</h5>
        <p class="mb-1">{% trans %}The deployment process has been disabled for now, probably due to some maintenance work.{% endtrans %}</p>
    </div>
    {% endif %}
    {% if general_upgrade_ongoing %}
        <div class="alert alert-warning mt-1" role="alert">
            <h5 class="alert-heading">⚠️ {% trans %}General upgrade is ongoing{% endtrans %}</h5>
            <p class="mb-1">{% trans %}A general Nextcloud upgrade is currently ongoing and the deployment is currently disabled.{% endtrans %}</p>
        </div>
    {% endif %}
    </div>
    <div class="row">
        <div class="col-xl-3 col-md-6 mb-4">
            <a class="card border-left-warning shadow h-100 py-2" href="{{ submission_dashboard_admin_url }}">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold {% if pending_submission_count == 0 %}text-success{% else %}text-warning{% endif %} text-uppercase mb-1">
                                {% trans %}Pending submissions{% endtrans %}</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ pending_submission_count }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-comments fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        {% if failed_monitoring_reports_count > 0 %}
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="card border-left-warning shadow h-100 py-2" href="{{ failed_monitoring_reports_dashboard_admin_url }}">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold {% if failed_monitoring_reports_count == 0 %}text-success{% else %}text-danger{% endif %} text-uppercase mb-1">
                                    {% trans %}Errored monitoring reports{% endtrans %}</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ failed_monitoring_reports_count }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-check-double fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        {% endif %}
        {% if spaces_over_quota_count > 0 %}
        <div class="col-xl-3 col-md-6 mb-4">
            <a class="card border-left-warning shadow h-100 py-2" href="{{ too_much_used_space_monitoring_reports_dashboard_admin_url }}">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">
                                {% trans %}Spaces over quota{% endtrans %}</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_over_quota_count }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-chart-pie fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        {% endif %}
        {% if spaces_with_too_much_used_space_count > 0 %}
        <div class="col-xl-3 col-md-6 mb-4">
            <a class="card border-left-warning shadow h-100 py-2" href="{{ too_much_used_space_monitoring_reports_dashboard_admin_url }}">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                {% trans %}Spaces at 90% of their quota{% endtrans %}</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_with_too_much_used_space_count }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-hard-drive fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        {% endif %}
        <div class="col-xl-3 col-md-6 mb-4">
            <a class="card border-left-warning shadow h-100 py-2" href="{{ space_dashboard_admin_url }}">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-uppercase mb-1">
                                {% trans %}Number of spaces{% endtrans %}</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_number }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-hard-drive fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </a>
        </div>
        {% if spaces_with_too_much_users_count > 0 %}
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="card border-left-warning shadow h-100 py-2" href="{{ too_much_users_monitoring_reports_dashboard_admin_url }}">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold {% if spaces_with_too_much_users_count == 0 %}text-success{% else %}text-danger{% endif %} text-uppercase mb-1">
                                    {% trans %}Spaces with more than 50 users{% endtrans %}</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_with_too_much_users_count }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-users fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        {% endif %}
        {% if spaces_with_yearly_inactive_users > 0 %}
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="card border-left-warning shadow h-100 py-2" href="{{ yearly_inactive_users_monitoring_reports_dashboard_admin_url }}">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">
                                    {% trans %}Spaces with no active users during last year{% endtrans %}</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_with_yearly_inactive_users }}</div>
                                <p>{% trans with {'percentage': (spaces_with_yearly_inactive_users * 100 / spaces_number) | round} %}{percentage}% of all spaces{% endtrans %}</p>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-users fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        {% endif %}
        {% if spaces_with_3_months_inactive_users > 0 %}
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="card border-left-warning shadow h-100 py-2" href="{{ three_months_inactive_users_monitoring_reports_dashboard_admin_url }}">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                    {% trans %}Spaces with no active users during last 3 months{% endtrans %}</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ spaces_with_3_months_inactive_users }}</div>
                                <p>{% trans with {'percentage': (spaces_with_3_months_inactive_users * 100 / spaces_number) | round} %}{percentage}% of all spaces{% endtrans %}</p>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-users fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        {% endif %}
    </div>
    <div class="row row-cols-1 row-cols-sm-2">
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: approved_submissions_by_type, title: 'Spaces by structure type' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: new_spaces_by_month, title: 'Number of new spaces by month' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: space_office_type, title: 'Office type distribution' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: spaces_by_creation_year, title: 'Number of spaces by organization creation year' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: spaces_by_topics, title: 'Number of spaces by topics' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: users_repartition_chart, title: 'Repartition of users per space' | trans }) }}
        </div>
        <div class="col d-flex">
            {{ component('Admin:StatisticsCardComponent', { chart: used_space_repartition_chart, title: 'Repartition of used storage space' | trans }) }}
        </div>
    </div>
    <div class="row">
        <p class="mt-4">
            <a class="btn btn-lg btn-primary" href="{{ path('admin_stats_spaces_export') }}">
                <svg xmlns="http://www.w3.org/2000/svg" style="width: 24px" viewBox="0 0 24 24"><title>download</title><path d="M5,20H19V18H5M19,9H15V3H9V9H5L12,16L19,9Z" /></svg>
                {% trans %}Export spaces{% endtrans %}
            </a>
        </p>
    </div>
{% endblock %}